Subject: Re: [PATCH 0/3] Another approach to large transactions

From: Junio C Hamano <[email-masked]>
Date: Fri, 17 Apr 2015 15:12:46 -0700

Junio C Hamano <[email-masked]> writes:

> Stefan Beller <[email-masked]> writes:
>
>> * We keep the speed on small transactions 
>>   (no close and reopen of fds in small transactions)
>>
>> * No refactoring for refs included, only minimally invasive to the refs.c code
>>
>> * applies on top of origin/sb/remove-fd-from-ref-lock replacing the last
>>   commit there (I reworded the commit message of the last patch of that tip,
>>   being the first patch in this series)
>>   
>> * another approach would be to move the fd counting into the lock file api,
>>   I think that's not worth it for now.
>
> I agree that it is a good direction to go to limit the number of
> open file descriptors.  Overall it looked good to me.

This is now pushed out and sitting at the tip of 'pu'.  It seems to
break one of the tests in 1400 when merged to 'next', but I didn't
look it closely.

Thanks.